import { Member } from 'member/api/model/Member';

export type REGIST = '@overflow/member/regist/REGIST';
export const REGIST: REGIST = '@overflow/member/regist/REGIST';

export type RegistAction = {
    type: REGIST,
    by: Member
};

function counterReducer(state = INITIAL_STATE, action:CounterAction = OtherAction) {
    switch (action.type) {
    case INCREMENT_COUNTER:
        return state.update({value: state.value + action.by});

    case DECREMENT_COUNTER:
        return state.update({value: state.value - action.by});

    case LOGOUT_USER:
        return INITIAL_STATE;

    default:
        return state;
    }
}
